%define major 14
%define libname %mklibname %name-glib %major
%define qtlib %mklibname %name-qt %major
%define develname %mklibname -d %name
Summary:	A DBUS packaging abstraction layer
Name:	  	packagekit
Version:	0.6.13
Release:	%mkrel 3
License:	GPLv2+
Group:		System/Configuration/Packaging
Source0: 	http://www.packagekit.org/releases/PackageKit-%version.tar.bz2
Patch1:		packagekit-0.6.13-use-mageia-as-vendor.patch
Patch2:		packagekit-0.6.13-mga-add-mga-support-in-urpmi-backend.patch
# Patch from git
Patch100:	packagekit-0.6.13-fix-typo-in-qt-search-group.patch
URL:		http://www.packagekit.org
BuildRequires:	python-devel
BuildRequires:	dbus-glib-devel
BuildRequires:	libarchive-devel
BuildRequires:	sqlite3-devel
BuildRequires:	intltool
BuildRequires:	polkit-1-devel >= 0.92
BuildRequires:	docbook-utils
BuildRequires:	libxslt-proc
BuildRequires:	xmlto
BuildRequires:	qt4-devel
BuildRequires:	cppunit-devel
BuildRequires:	gtk+2-devel
BuildRequires:	pm-utils-devel
BuildRequires:	libgudev-devel
BuildRequires:	xulrunner-devel >= 1.9.1
BuildRequires:	gtk-doc
BuildRequires:	gobject-introspection
BuildRequires:	gobject-introspection-devel
BuildRequires:	libgstreamer-plugins-base-devel
# fonts package in Mageia do not have needed provides yet to be useful
Suggests:	packagekit-gui

%description
PackageKit is a DBUS abstraction layer that allows the session user to manage
packages in a secure way using a cross-distro, cross-architecture API.

%package -n %{libname}
Summary: Libraries for accessing PackageKit
Group: System/Configuration/Packaging

%description -n %{libname}
Libraries for accessing PackageKit.

%package -n %{qtlib}
Summary: QT libraries for accessing PackageKit
Group: System/Configuration/Packaging
Requires: %{name} = %{version}-%{release}

%description -n %{qtlib}
QT libraries for accessing PackageKit.

%package -n %{develname}
Summary: Libraries and headers for PackageKit
Group: Development/Other
Requires: %{libname} = %{version}-%{release}
Requires: %{qtlib} = %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}
Obsoletes: packagekit-qt-devel < %{version}

%description -n %{develname}
Headers and libraries for PackageKit.

%package cron
Summary: Cron job and related utilities for PackageKit
Group: System/Configuration/Packaging
Requires: crontabs
Requires: %{name} = %{version}-%{release}

%description cron
Crontab and utilities for running PackageKit as a cron job.

%package gstreamer-plugin
Summary: Install GStreamer codecs using PackageKit
Group: System/Configuration/Packaging
Requires: gstreamer0.10-tools
Requires(post): update-alternatives
Requires(postun): update-alternatives
Provides: gst-install-plugins-helper

%description gstreamer-plugin
The PackageKit GStreamer plugin allows any Gstreamer application to install
codecs from configured repositories using PackageKit.

%package browser-plugin
Summary: Browser Plugin for PackageKit
Group: System/Configuration/Packaging

%description browser-plugin
The PackageKit browser plugin allows web sites to offer the ability to
users to install and update packages from configured repositories
using PackageKit.

%package command-not-found
Summary: Ask the user to install command line programs automatically
Group: System/Configuration/Packaging

%description command-not-found
A simple helper that offers to install new packages on the command line
using PackageKit.

%package gtk-module
Summary: Install fonts automatically using PackageKit
Group: System/Configuration/Packaging
Requires: pango

%description gtk-module
The PackageKit GTK+ module allows any Pango application to install
fonts from configured repositories using PackageKit.

%prep
%setup -q -n PackageKit-%version
%patch1 -p0
%patch2 -p0
%patch100 -p1
%build
%configure2_5x --disable-static --enable-gstreamer-plugin \
	--disable-alpm --disable-apt --disable-box --disable-conary \
	--enable-dummy --disable-opkg --disable-pisi --disable-poldek \
	--enable-smart --enable-urpmi --enable-introspection \
	--disable-yum --disable-zypp \
	--with-default-backend=urpmi
%make

%install
rm -rf %{buildroot}
%makeinstall_std

find %{buildroot} -name *.la | xargs rm

%{find_lang} PackageKit

%clean
rm -rf %{buildroot}

%post
# the job count used to live in /var/run, but it's now in /var/lib with the
# other persistent bits
if [ -e %{_localstatedir}/run/PackageKit/job_count.dat ]; then
	mv %{_localstatedir}/run/PackageKit/job_count.dat %{_localstatedir}/lib/PackageKit/job_count.dat
fi

%files -f PackageKit.lang
%defattr(-, root, root)
%dir %{_sysconfdir}/PackageKit
%config(noreplace) %{_sysconfdir}/PackageKit/PackageKit.conf
%config(noreplace) %{_sysconfdir}/PackageKit/Vendor.conf
%config(noreplace) %{_sysconfdir}/PackageKit/CommandNotFound.conf
%{_sysconfdir}/PackageKit/events/post-transaction.d/README
%{_sysconfdir}/PackageKit/events/pre-transaction.d/README
%{_sysconfdir}/bash_completion.d/*
%{_sysconfdir}/dbus-1/system.d/*.conf
%{_bindir}/*
%{_datadir}/PackageKit
%{_datadir}/polkit-1/actions/*.policy
#%{_libdir}/polkit-1/extensions/libpackagekit-action-lookup.so
%{_libdir}/pm-utils/sleep.d/95packagekit
%{_datadir}/dbus-1/system-services/*.service
%{_datadir}/gtk-doc/html/PackageKit
%{_datadir}/mime/packages/*.xml
%{python_sitelib}/packagekit
%{_libexecdir}/packagekitd
%{_sbindir}/pk-device-rebind
%dir %{_libdir}/packagekit-backend
%{_libdir}/packagekit-backend/libpk_backend_dummy.so
%{_libdir}/packagekit-backend/libpk_backend_smart.so
%{_libdir}/packagekit-backend/libpk_backend_test_fail.so
%{_libdir}/packagekit-backend/libpk_backend_test_nop.so
%{_libdir}/packagekit-backend/libpk_backend_test_spawn.so
%{_libdir}/packagekit-backend/libpk_backend_test_succeed.so
%{_libdir}/packagekit-backend/libpk_backend_test_thread.so
%{_libdir}/packagekit-backend/libpk_backend_urpmi.so
%{_mandir}/man1/*
%ghost %verify(not md5 size mtime) %{_var}/lib/PackageKit/transactions.db

%files -n %{libname}
%defattr(-, root, root)
%{_libdir}/*packagekit-glib*.so.%{major}*
%{_libdir}/girepository-1.0/PackageKitGlib-1.0.typelib
%{_datadir}/gir-1.0/PackageKitGlib-1.0.gir

%files -n %{qtlib}
%defattr(-, root, root)
%{_libdir}/*packagekit-qt*.so.%{major}*

%files -n %{develname}
%defattr(-, root, root)
%{_includedir}/PackageKit
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_datadir}/cmake/Modules/*.cmake

%files cron
%defattr(-,root,root,-)
%config %{_sysconfdir}/cron.daily/*.cron
%config %{_sysconfdir}/sysconfig/packagekit-background

%files gstreamer-plugin
%defattr(-,root,root,-)
%{_libexecdir}/pk-gstreamer-install

%post gstreamer-plugin
update-alternatives --install %{_libexecdir}/gst-install-plugins-helper gst-install-plugins-helper %{_libexecdir}/pk-gstreamer-install 10

%postun gstreamer-plugin
if [ "$1" = "0" ]; then
    if ! [ -e %{_libexecdir}/pk-gstreamer-install ]; then
        update-alternatives --remove gst-install-plugins-helper %{_libexecdir}/pk-gstreamer-install
    fi
fi

%files browser-plugin
%defattr(-,root,root,-)
%{_libdir}/mozilla/plugins/packagekit-plugin.*

%files command-not-found
%defattr(-,root,root,-)
%{_sysconfdir}/profile.d/*
%{_libexecdir}/pk-command-not-found

%files gtk-module
%defattr(-,root,root,-)
%{_libdir}/gtk-2.0/modules/*.so




%changelog
* Sun May 15 2011 pterjan <pterjan> 0.6.13-3.mga1
+ Revision: 98937
- Rebuild for fixed find-requires

* Wed Apr 13 2011 mikala <mikala> 0.6.13-2.mga1
+ Revision: 84617
- Add patch100 to fix a crash when browsing groups in kpackagekit

* Wed Apr 13 2011 mikala <mikala> 0.6.13-1.mga1
+ Revision: 84549
- Update tarball to 0.6.13
- Update patch1 :
  Remove the url regarding mandriva wiki
  Use mageia icon
- Add patch2 for urpmi backend:
  Disable backend_get_distro_upgrades for the moment
  Use mageia bugzilla for http
  Use mageia occurence instead of mandriva

* Sun Feb 20 2011 eandry <eandry> 0.6.11-2.mga1
+ Revision: 54927
- fix vendor patch (still needs a valid mageia wiki url)
- drop buildroot
- imported package packagekit


* Wed Dec 22 2010 Funda Wang <fwang@mandriva.org> 0.6.11-1mdv2011.0
+ Revision: 623753
- update to new version 0.6.11

* Fri Nov 05 2010 Funda Wang <fwang@mandriva.org> 0.6.10-2mdv2011.0
+ Revision: 593626
- use alternative to satisfy gst-base

* Thu Nov 04 2010 Funda Wang <fwang@mandriva.org> 0.6.10-1mdv2011.0
+ Revision: 593308
- new version 0.6.10
- enable gstreamer codec installation plugin

* Mon Nov 01 2010 Götz Waschk <waschk@mandriva.org> 0.6.9-3mdv2011.0
+ Revision: 591469
- rebuild for new python 2.7

  + Michael Scherer <misc@mandriva.org>
    - rebuild for python 2.7

* Wed Oct 06 2010 Funda Wang <fwang@mandriva.org> 0.6.9-1mdv2011.0
+ Revision: 583494
- New version 0.6.9

* Thu Sep 16 2010 Götz Waschk <waschk@mandriva.org> 0.6.7-2mdv2011.0
+ Revision: 578946
- rebuild for new gobject-introspection

* Mon Aug 16 2010 Emmanuel Andry <eandry@mandriva.org> 0.6.7-1mdv2011.0
+ Revision: 570330
- New version 0.6.7

* Thu Jul 29 2010 Funda Wang <fwang@mandriva.org> 0.6.6-2mdv2011.0
+ Revision: 563174
- rebuild for new gobject-introspection

* Tue Jul 27 2010 Funda Wang <fwang@mandriva.org> 0.6.6-1mdv2011.0
+ Revision: 561862
- New version 0.6.6

* Mon Jun 21 2010 Anssi Hannula <anssi@mandriva.org> 0.6.3-3mdv2010.1
+ Revision: 548446
- fix update-system command and passing of only_trusted parameter
  (fix-perform_updates-params.patch)

* Mon May 10 2010 Frederic Crozat <fcrozat@mandriva.com> 0.6.3-2mdv2010.1
+ Revision: 544357
- Fix buildrequires
- Do not suggest packagekit-gtk-module (not useful ATM)

  + Emmanuel Andry <eandry@mandriva.org>
    - enable introspection
    - New version 0.6.3
    - update files list

* Wed Mar 17 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.6.2-1mdv2010.1
+ Revision: 524011
- Fix file list
- Fix file list
  Major changed => 14

* Tue Feb 02 2010 Funda Wang <fwang@mandriva.org> 0.6.1-1mdv2010.1
+ Revision: 499424
- New version 0.6.1
- urpmiapi patch merged upstream
- fix polkit module linkage

* Wed Jan 13 2010 Frederic Crozat <fcrozat@mandriva.com> 0.6.0-2mdv2010.1
+ Revision: 490572
- add a suggests on GUI virtual package

* Thu Jan 07 2010 Frederic Crozat <fcrozat@mandriva.com> 0.6.0-1mdv2010.1
+ Revision: 487241
- Release 0.6.0
- Patch1: fix URPMI backend api

* Tue Dec 08 2009 Funda Wang <fwang@mandriva.org> 0.5.5-1mdv2010.1
+ Revision: 474642
- new version 0.5.5

* Fri Nov 06 2009 Funda Wang <fwang@mandriva.org> 0.5.4-1mdv2010.1
+ Revision: 460641
- New version 0.5.4

* Fri Oct 09 2009 Funda Wang <fwang@mandriva.org> 0.5.2-2mdv2010.0
+ Revision: 456243
- suggests gtk module (bug#53651)

* Sun Sep 20 2009 Funda Wang <fwang@mandriva.org> 0.5.2-1mdv2010.0
+ Revision: 444810
- New version 0.5.2

* Tue Aug 18 2009 Funda Wang <fwang@mandriva.org> 0.5.1-2mdv2010.0
+ Revision: 417620
- re-enable browser plugin

* Sun Aug 09 2009 Funda Wang <fwang@mandriva.org> 0.5.1-1mdv2010.0
+ Revision: 412892
- new version 0.5.1

* Tue Jul 14 2009 Funda Wang <fwang@mandriva.org> 0.4.8-2mdv2010.0
+ Revision: 395961
- Add BR for archive

* Fri Jun 05 2009 Funda Wang <fwang@mandriva.org> 0.4.8-1mdv2010.0
+ Revision: 382932
- New version 0.4.8

* Tue May 12 2009 Funda Wang <fwang@mandriva.org> 0.4.7-1mdv2010.0
+ Revision: 374894
- New version 0.4.7

* Sun Apr 05 2009 Funda Wang <fwang@mandriva.org> 0.4.6-1mdv2010.0
+ Revision: 364170
- New version 0.4.6

* Sun Mar 15 2009 Funda Wang <fwang@mandriva.org> 0.4.5-1mdv2009.1
+ Revision: 355191
- update to new version 0.4.5

* Thu Mar 05 2009 Funda Wang <fwang@mandriva.org> 0.4.4-1mdv2009.1
+ Revision: 348974
- New version 0.4.4

* Tue Feb 03 2009 Funda Wang <fwang@mandriva.org> 0.4.3-1mdv2009.1
+ Revision: 336783
- New version 0.4.3

* Fri Jan 23 2009 Funda Wang <fwang@mandriva.org> 0.4.2-1mdv2009.1
+ Revision: 332704
- functionality moved to udev itself
- New version 0.4.2

* Thu Jan 15 2009 Funda Wang <fwang@mandriva.org> 0.4.1-1mdv2009.1
+ Revision: 329780
- disable ruck
- New version 0.4.1

* Sun Dec 28 2008 Funda Wang <fwang@mandriva.org> 0.4.0-2mdv2009.1
+ Revision: 320275
- rebuild for new python

* Sat Dec 13 2008 Funda Wang <fwang@mandriva.org> 0.4.0-1mdv2009.1
+ Revision: 313882
- add missing file
- add more modules
- drop la files
- new version 0.4.0

* Fri Nov 28 2008 Funda Wang <fwang@mandriva.org> 0.3.11-2mdv2009.1
+ Revision: 307362
- rebuild
- new major
- new version 0.3.11

* Wed Nov 12 2008 Funda Wang <fwang@mandriva.org> 0.3.10-1mdv2009.1
+ Revision: 302396
- fix file list
- New version 0.3.10

* Mon Oct 27 2008 Funda Wang <fwang@mandriva.org> 0.3.9-1mdv2009.1
+ Revision: 297550
- New version 0.3.9

* Thu Oct 23 2008 Funda Wang <fwang@mandriva.org> 0.3.8-4mdv2009.1
+ Revision: 296731
- cmake modules becomes kpackage inside

* Tue Oct 21 2008 Funda Wang <fwang@mandriva.org> 0.3.8-3mdv2009.1
+ Revision: 296147
- do not build gstreamer plugin
- install cmake modules for kpackagekit

* Tue Oct 21 2008 Funda Wang <fwang@mandriva.org> 0.3.8-2mdv2009.1
+ Revision: 296057
- add BR and requires
- Obsoletes old qt-devel
- New version 0.3.8

* Thu Oct 16 2008 Funda Wang <fwang@mandriva.org> 0.3.7-1mdv2009.1
+ Revision: 294094
- New version 0.3.7

* Sun Oct 12 2008 Funda Wang <fwang@mandriva.org> 0.3.6-1mdv2009.1
+ Revision: 292855
- New version 0.3.6
- customize vendro.conf, pointing to wiki for now

* Wed Oct 01 2008 Funda Wang <fwang@mandriva.org> 0.3.5-1mdv2009.0
+ Revision: 290296
- New version 0.3.5
- add browser plugin
- add upstream path to fix crash with large amount of transaction

* Sun Sep 21 2008 Funda Wang <fwang@mandriva.org> 0.3.3-1mdv2009.0
+ Revision: 286283
- New version 0.3.3

* Wed Sep 10 2008 Funda Wang <fwang@mandriva.org> 0.3.2-1mdv2009.0
+ Revision: 283419
- new major 4 -> 5
- 0.3.2

* Sun Aug 31 2008 Funda Wang <fwang@mandriva.org> 0.3.1-1mdv2009.0
+ Revision: 277769
- New version 0.3.1
- revert to ABI stable version 0.2.4
- New version 0.3.0

* Wed Aug 06 2008 Funda Wang <fwang@mandriva.org> 0.2.4-1mdv2009.0
+ Revision: 264778
- bump libmajor ( 3->4 )
- New version 0.2.4

* Sun Jul 13 2008 Funda Wang <fwang@mandriva.org> 0.2.3-1mdv2009.0
+ Revision: 234290
- import packagekit


